---
lang: en
title: 'API docs: security.typedprincipal._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.security.typedprincipal._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [TypedPrincipal](./security.typedprincipal.md) &gt; [(constructor)](./security.typedprincipal._constructor_.md)

## TypedPrincipal.(constructor)

Constructs a new instance of the `TypedPrincipal` class

<b>Signature:</b>

```typescript
constructor(principal: Principal, type: string);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  principal | <code>Principal</code> |  |
|  type | <code>string</code> |  |


